
Prewikka - Bug #670

Small issues with Prewikka

12/01/2015 05:24 AM - Emad Alsai

Status: Closed Start date: 12/01/2015

Priority: High Due date:  

Assignee: Antoine LUONG % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Dear Prelude Team

I do appreciate your work on Prelude-IDS.

I have fully installed the Prelude-IDS on Redhat 6.7 and Prewikka as well, for studying security purpose in order to get a master

degree

but when i run the prewikka "prewikka-httpd -p 8001 -a localhost", the there are some errors as shown in text below

_____________________________________________________________________________________________

Traceback (most recent call last):

File "/usr/lib64/python2.6/logging/handlers.py", line 883, in emit

smtp = smtplib.SMTP

File "/usr/lib64/python2.6/smtplib.py", line 244, in init

(code, msg) = self.connect(host, port)

File "/usr/lib64/python2.6/smtplib.py", line 301, in connect

(code, msg) = self.getreply()

File "/usr/lib64/python2.6/smtplib.py", line 345, in getreply

raise SMTPServerDisconnected("Connection unexpectedly closed")

SMTPServerDisconnected: Connection unexpectedly closed

______________________________________________________________________________________________

Did i missed install something?

What I have to do!!

Please I need help.

I'm so sorry for my English

History

#1 - 12/01/2015 03:59 PM - Antoine LUONG

- Project changed from PRELUDE SIEM to Prewikka

- Status changed from New to Assigned

- Assignee set to Antoine LUONG

Hello,

Please check your [log smtp] section configuration in prewikka.conf.

Regards

#2 - 12/02/2015 04:55 AM - Emad Alsai

Dear Antoine LUONG

I added the following lines into the configuration of httpd "/etc/httpd/conf/httpd.conf"

<VirtualHost *:80>

ServerName my.server.org

Setenv PREWIKKA_CONFIG "/etc/prewikka/prewikka.conf"
<Location "/">

AllowOverride None

Options ExecCGI

&lt;IfModule mod_mime.c&gt;

                AddHandler cgi-script .cgi

        &lt;/IfModule&gt;

 

Order allow,deny

        Allow from all

&lt;/Location&gt;

 

Alias /prewikka/ /usr/share/prewikka/htdocs/

ScriptAlias /prewikka /usr/share/prewikka/cgi-bin/prewikka.cgi

</VirtualHost>

Then I restart the httpd by issuing this command:

service httpd restart

When open Firefox and write http://localhost/prewikka

I got this message:

_____________________________________________________

Forbidden

You don't have permission to access /prewikka on this server.

Apache/2.2.15 (Red Hat) Server at localhost Port 80

_____________________________________________________

Thanks a lot

I really appreciate your help

#3 - 12/03/2015 09:39 AM - Antoine LUONG

This may be a firewall issue.

For running Prewikka 1.2.6 with Apache, please see the wiki.
http://localhost/prewikka
https://www.prelude-siem.org/projects/prelude/wiki/InstallingPreludePrewikka#Apache-WSGI-setup-with-VirtualHost


#4 - 05/29/2016 04:40 PM - Thomas ANDREJAK

- Status changed from Assigned to Closed

No activity
